/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# ifndef STAPELZEILE_H
# define STAPELZEILE_H

# include <qobject.h>
# include <qstring.h>
# include <qlabel.h>
# include <qcheckbox.h>


class Stapelzeile : public QObject
{
    private:
        QLabel *name,                            // Der Namen der Zeile, sprich was encodiert wird
               *zeilennummer,                    // Die Zeilennummer anzeigen
               *labeltitel;                      // Die Titelnummer der DVD

        QString temp;                            // Fuer Temporaere String arbeiten

        QWidget *eltern;                         // Darin wird der Zeiger zum Elternwidget abgelegt

        QCheckBox *cbpass2,                       // Soll nachher anzeigen ob diese Option ausgewaehlt ist
                  *cbautoaspect,                  // Soll nachher anzeigen ob diese Option ausgewaehlt ist
                  *cbcartoon;                     // Soll nachher anzeigen ob diese Option ausgewaehlt ist

        QFrame *vlinie1,                          // Abgrenzungslinien zur bessern Darstellung
               *vlinie2,                          // Abgrenzungslinien zur bessern Darstellung
               *hlinie1;                          // Abgrenzungslinien zur bessern Darstellung


        int posver,                              // Position Vertical des Widgets
            poshor,                              // Position Horizontal des Widgets
            hoehe,                               // Hoehe der Zeile
            zeile;                               // Die wievielte Zeile das ist

    public:
        Stapelzeile(QWidget *parent);

        // Erstellt die Zeile
        void makeZeile(QString inhalt,QString titel,
                     int poshor,int posver, int zeile,
                     bool cartoon,bool pass2,bool autoaspect);

        // Bledet das Widget aus
        void hideZeile (void);

        // Blendet das widget wieder ein
        void showZeile(void);
};

# endif
