/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# ifndef NEOSTRING_H
# define NEOSTRING_H

# include <qstring.h>
# include <qwidget.h>

# include <string>
# include <iostream>
# include <fstream>
# include <cstdlib>     // Fuer system();

using namespace std;

class Neostring
{
    private:
        // Temporaere IntVeriablen zum rechnen
        float intendstunden,intendminuten,
              intendsekunden,intstartstunden,
              intstartminuten,intstartsekunden,
              intstartzeit,intendzeit;

        // Temporaere Strings zum extrahieren
        QString endstunden,endminuten,
                endsekunden,startstunden,
                startminuten,startsekunden;

        // Temporaere bool varibale fuer die Rueckgabe
        bool zumrechnen;

        QWidget *eltern;                         // Darin wird der Zeiger zum Elternwidget abgeleg

        // Minuten ausrechnen
        void minuten(void);

        // Sekunden ausrechnen
        void sekunden (void);

        // ergaenzt wenn noetig den String mit einer null am Anfang
        void ergaenzen(QString&);

    public:

        /*string_zerlegen = Dabei wird der String der bergeben wird
        auf Leerzeichen ,( und ) durchsucht und vor jedem dieser Zeichen
        ein Backslash gestellt. Das ist noetig wenn man in der Konsole
        andere Programme ausfueheren moechte und der Pfad ein Leer=
        zeichen hat.*/

        void string_zerlegen(string&);
        void string_zerlegen(QString&);

        // Sucht den Home Path im System und giebt ihn zurueck
        string homepfad(void);

        // Soll denn Wert fuer Endzeit errechnen
        bool zeitrechnen (QString& start,QString& end);
};

#endif
