/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# include "Stapelzeile.h"

# ifndef STAPELZEILE_CPP
# define STAPELZEILE_CPP

Stapelzeile::Stapelzeile(QWidget *parent)
{
    // Speichert das Eltern Widget ab
    eltern=parent;

    // Die Heoeh der einzelnen Widgets festlegen
    hoehe=20;

    // Die Zeilennummer in der Zeile anzeigen lassen
    zeilennummer = new QLabel(eltern);

    // Der Name des Ausgabedatei und damit der Titel dieser Zeile
    name = new QLabel(eltern);

    // Der Titel jener DVD die Encodiert werden soll
    labeltitel = new QLabel(eltern);

    //Das CheckBox Objekt cartoon wird erzeugt 
    cbcartoon = new QCheckBox(eltern);

    //Das CheckBox Objekt pass2 wird erzeugt 
    cbpass2 = new QCheckBox(eltern);

     //Das CheckBox Objekt pass2 wird erzeugt 
    cbautoaspect = new QCheckBox(eltern);

    // Abgrenzungslinie bei der Zeilennummer
    vlinie1 = new QFrame(eltern);
    vlinie1->setPaletteForegroundColor(Qt::lightGray);
    vlinie1->setFrameStyle(QFrame::VLine|QFrame::Plain);
    vlinie1->setLineWidth(1);

    // Abgrenzungslinie bei der Titelnummernnummer
    vlinie2 = new QFrame(eltern);
    vlinie2->setPaletteForegroundColor(Qt::lightGray);
    vlinie2->setFrameStyle(QFrame::VLine|QFrame::Plain);
    vlinie2->setLineWidth(1);

    // Fueft eine zwischen Linie ein
    hlinie1 = new QFrame(eltern);
    hlinie1->setPaletteForegroundColor(Qt::lightGray);
    hlinie1->setFrameStyle(QFrame::HLine|QFrame::Plain);
    hlinie1->setLineWidth(1);

    // Der Name des Ausgabedatei und damit der Titel dieser Zeile
    //QLabel *claer= new QLabel("",eltern);
    //claer->setGeometry(poshor,posver+20,500,500);
    hideZeile();
}

void Stapelzeile::makeZeile(QString inhalt,QString titel,
               int poshor,int posver, int zeile,
               bool cartoon,bool pass2,bool autoaspect)
{
    // Macht alle Widgets einmal sichtbar
    showZeile();

    // Die Zeilennummer in der Zeile anzeigen lassen
    zeilennummer->setText(temp.setNum(zeile));
    zeilennummer->setGeometry(poshor,posver,15,hoehe);

    // Der Name des Ausgabedatei und damit der Titel dieser Zeile
    name->setText(inhalt);
    name->setGeometry(poshor+20,posver,345,hoehe);

    // Der Titel jener DVD die Encodiert werden soll
    labeltitel->setText(titel);
    labeltitel->setGeometry(poshor+373,posver,20,hoehe);

    //Das CheckBox Objekt cartoon wird erzeugt ;
    cbcartoon->setGeometry(poshor+390,posver,25,hoehe);
    cbcartoon->setChecked(cartoon);
    cbcartoon->setEnabled(false);

    //Das CheckBox Objekt pass2 wird erzeugt 
    cbpass2->setGeometry(poshor+415,posver,25,hoehe);
    cbpass2->setChecked(pass2);
    cbpass2->setEnabled(false);

     //Das CheckBox Objekt pass2 wird erzeugt 
    cbautoaspect->setGeometry(poshor+440,posver,25,hoehe);
    cbautoaspect->setChecked(autoaspect);
    cbautoaspect->setEnabled(false);

    // Abgrenzungslinie bei der Zeilennummer
    vlinie1->setGeometry(poshor+15,posver+1,5,18);

    // Abgrenzungslinie bei der Titelnummernnummer
    vlinie2->setGeometry(poshor+365,posver+1,8,18);

    // Abgrenzungslinie unter der Zeile
    hlinie1->setGeometry(2,(20*zeile)+19,481,1);
}

void Stapelzeile::hideZeile (void)
{
    // Alles Ausblenden
    zeilennummer->hide();
    name->hide();
    labeltitel->hide();
    cbcartoon->hide();
    cbpass2->hide();
    cbautoaspect->hide();
    vlinie1->hide();
    vlinie2->hide();
    hlinie1->hide();
}

void Stapelzeile::showZeile(void)
{
    // Alles Einblenden
    zeilennummer->show();
    name->show();
    labeltitel->show();
    cbcartoon->show();
    cbpass2->show();
    cbautoaspect->show();
    vlinie1->show();
    vlinie2->show();
    hlinie1->show();
}
# endif
